

.ecosystem_overlay_user {
    position: fixed;
    display: none;
    align-items: center;
    justify-content: center;
    background-color: rgba(0, 0, 0, 0.856);
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.ecosystem_main_container {
    background-color: white;
    display: flex;
    position: relative;
    border-radius: 8px;
    height: 500px;
    background-image: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.5)), url('./cwu_3.jpg');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    width: 400px;
    overflow: hidden !important;
}


.container-inputs-ecosystem {

    width: 100%;
    display: flex;
    flex-direction: column;
    height: 100%;
    align-items: center;

}


.bubble {
    position: absolute;
    bottom: -50px;
    border-radius: 50%;
    background: rgba(255, 255, 255, 0.3);
    box-shadow: inset 0 0 8px rgba(255, 255, 255, 0.5);
    animation: floatUp linear forwards;
}

@keyframes floatUp {
    0% {
        transform: translateY(0) scale(1);
        opacity: 1;
    }

    100% {
        transform: translateY(-110vh) scale(1.3);
        opacity: 0;
    }
}

.container-text-ecosystem-style-decoration {

    height: 70px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;

}

.container-ecosystem-input {

    height: 80%;
    width: 100%;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-around;
}



.Text-ecosystem-decoration {

    font-size: 19px;
}

.text_ecosystem {
    background-color: transparent;
    color: white;
    text-align: center;
    font-size: 17px;
    border-radius: 8px;
    padding: 10px;
    border: none;
    box-shadow: 1px 1px 11px 1px white;
    width: 80%;
    height: 40px;
    transform: scale(1.1);
    transition: transform 0.3s;
}

.button-container-ecosystem {
    height: 20%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-evenly;

}

.text_ecosystem::placeholder {
    color: #ccc;
    /* cinza claro */
    opacity: 1;
    font-size: 13px;
    /* garante que o texto não fique translúcido */
}

.ecosytem_env_button_action_user {
    border: none;
    height: 40px;
    width: 200px;
    font-family: 'Times New Roman', Times, serif;
    padding: 10px;
    border-radius: 8px;
    text-align: center;
    background-color: rgba(190, 190, 190, 0.384);
    box-shadow: 1px 1px 11px 1px white;
    color: white;

}

.ecosytem_env_button_action_user:active {
    transform: translateY(-2px);
}

@keyframes tilt {
    0% {
        transform: rotate(0deg);
    }

    25% {
        transform: rotate(2deg);
    }

    50% {
        transform: rotate(-2deg);
    }

    75% {
        transform: rotate(1deg);
    }

    100% {
        transform: rotate(0deg);
    }
}


/* Aplica animação apenas quando o input recebe foco */
.text_ecosystem:focus {
    animation: tilt 0.5s ease;
}


@keyframes scale_ecosystem {
    0% {
        transform: translate(-50%, -50%) scale(2);
    }

    100% {
        transform: translate(-50%, -50%) scale(1);
    }
}


.ok_status_ecosystem_user {

    display: none;
    z-index: 2;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 370px;
    height: 300px;
    background-color: white;
    border-radius: 8px;
    animation: scale_ecosystem 1s ease-in-out;

}

.ok_status_container {
    height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
}

.icon_user_thankyou_status {
    height: 60px;
    width: 60px;
    background-image: url('./appreciation.png');
    background-position: center center;
    background-size: contain;
    background-repeat: no-repeat;
}

.agradecimento_potential_cliente {

    text-align: justify;
    font-size: 16px;
    font-family: 'Times New Roman', Times, serif;
    line-height: 33px;
    padding: 15px;
    border-radius: 8px;
    color: black;

}

.close_status_button {
    background-color: #F24B4B;
    color: white;
    text-align: center;
    height: 45px;
    width: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 8px;
    font-size: 13px;


}

.talk_with_user_about_lead_1 {
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 8px;

    font-family: 'Times New Roman', Times, serif;
    text-align: justify;
    line-height: 40px;
    font-size: 14px;
    padding: 10px;

}

.page-content-cadastrar {

    width: 100%;
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
}


.participate {


    background-color: rgba(0, 0, 0, .3);
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;
    border-radius: 8px;
    padding: 10px;
    width: 160px;
    font-weight: 300;
    text-shadow: 1px 1px 1px #D95448;
    height: 55px;
    text-align: center;
    box-shadow: 1px 1px 11px 1px #D95448;

}


.leave {
    background-color: #F25E95;
    color: white;
}


